import java.util.BitSet;

public class Class225_Sub19 extends Class225 {

   int[] anIntArray8563;
   boolean aBool8564 = true;
   public Class72[] aClass72Array8565;
   public byte aByte8566;
   long aLong8567;
   boolean aBool8568;
   public String aString8569 = null;
   public int anInt8570 = 0;
   public byte aByte8571;


   void method13626(Class72 var1) {
      if(this.aClass72Array8565 == null || this.anInt8570 * 818958679 >= this.aClass72Array8565.length) {
         this.method13638(5 + this.anInt8570 * 818958679, 600870888);
      }

      this.aClass72Array8565[(this.anInt8570 += 511781479) * 818958679 - 1] = var1;
      this.anIntArray8563 = null;
   }

   public Class225_Sub19(RS2Buffer var1) {
      this.method13639(var1, (byte)-22);
   }

   void method13627(Class72 var1, int var2) {
      if(this.aClass72Array8565 == null || this.anInt8570 * 818958679 >= this.aClass72Array8565.length) {
         this.method13638(5 + this.anInt8570 * 818958679, 600870888);
      }

      this.aClass72Array8565[(this.anInt8570 += 511781479) * 818958679 - 1] = var1;
      this.anIntArray8563 = null;
   }

   void method13628(int var1) {
      if(this.aClass72Array8565 != null) {
         System.arraycopy(this.aClass72Array8565, 0, this.aClass72Array8565 = new Class72[var1], 0, 818958679 * this.anInt8570);
      } else {
         this.aClass72Array8565 = new Class72[var1];
      }

   }

   void method13629(int var1, int var2) {
      this.anInt8570 -= 511781479;
      if(this.anInt8570 * 818958679 == 0) {
         this.aClass72Array8565 = null;
      } else {
         System.arraycopy(this.aClass72Array8565, var1 + 1, this.aClass72Array8565, var1, 818958679 * this.anInt8570 - var1);
      }

      this.anIntArray8563 = null;
   }

   public int method13630(String var1, int var2) {
      for(int var3 = 0; var3 < this.anInt8570 * 818958679; ++var3) {
         if(this.aClass72Array8565[var3].aString687.equalsIgnoreCase(var1)) {
            return var3;
         }
      }

      return -1;
   }

   public int[] method13631() {
      if(this.anIntArray8563 == null) {
         String[] var1 = new String[818958679 * this.anInt8570];
         this.anIntArray8563 = new int[this.anInt8570 * 818958679];

         for(int var2 = 0; var2 < 818958679 * this.anInt8570; this.anIntArray8563[var2] = var2++) {
            var1[var2] = this.aClass72Array8565[var2].aString687;
         }

         Class102.method1995(var1, this.anIntArray8563, 264587051);
      }

      return this.anIntArray8563;
   }

   public int[] method13632(byte var1) {
      if(this.anIntArray8563 == null) {
         String[] var2 = new String[818958679 * this.anInt8570];
         this.anIntArray8563 = new int[this.anInt8570 * 818958679];

         for(int var3 = 0; var3 < 818958679 * this.anInt8570; this.anIntArray8563[var3] = var3++) {
            var2[var3] = this.aClass72Array8565[var3].aString687;
         }

         Class102.method1995(var2, this.anIntArray8563, 264587051);
      }

      return this.anIntArray8563;
   }

   static {
      new BitSet(65536);
   }

   void method13633(int var1) {
      if(this.aClass72Array8565 != null) {
         System.arraycopy(this.aClass72Array8565, 0, this.aClass72Array8565 = new Class72[var1], 0, 818958679 * this.anInt8570);
      } else {
         this.aClass72Array8565 = new Class72[var1];
      }

   }

   void method13634(int var1) {
      this.anInt8570 -= 511781479;
      if(this.anInt8570 * 818958679 == 0) {
         this.aClass72Array8565 = null;
      } else {
         System.arraycopy(this.aClass72Array8565, var1 + 1, this.aClass72Array8565, var1, 818958679 * this.anInt8570 - var1);
      }

      this.anIntArray8563 = null;
   }

   public int[] method13635() {
      if(this.anIntArray8563 == null) {
         String[] var1 = new String[818958679 * this.anInt8570];
         this.anIntArray8563 = new int[this.anInt8570 * 818958679];

         for(int var2 = 0; var2 < 818958679 * this.anInt8570; this.anIntArray8563[var2] = var2++) {
            var1[var2] = this.aClass72Array8565[var2].aString687;
         }

         Class102.method1995(var1, this.anIntArray8563, 264587051);
      }

      return this.anIntArray8563;
   }

   public int[] method13636() {
      if(this.anIntArray8563 == null) {
         String[] var1 = new String[818958679 * this.anInt8570];
         this.anIntArray8563 = new int[this.anInt8570 * 818958679];

         for(int var2 = 0; var2 < 818958679 * this.anInt8570; this.anIntArray8563[var2] = var2++) {
            var1[var2] = this.aClass72Array8565[var2].aString687;
         }

         Class102.method1995(var1, this.anIntArray8563, 264587051);
      }

      return this.anIntArray8563;
   }

   void method13637(Class72 var1) {
      if(this.aClass72Array8565 == null || this.anInt8570 * 818958679 >= this.aClass72Array8565.length) {
         this.method13638(5 + this.anInt8570 * 818958679, 600870888);
      }

      this.aClass72Array8565[(this.anInt8570 += 511781479) * 818958679 - 1] = var1;
      this.anIntArray8563 = null;
   }

   void method13638(int var1, int var2) {
      if(this.aClass72Array8565 != null) {
         System.arraycopy(this.aClass72Array8565, 0, this.aClass72Array8565 = new Class72[var1], 0, 818958679 * this.anInt8570);
      } else {
         this.aClass72Array8565 = new Class72[var1];
      }

   }

   void method13639(RS2Buffer var1, byte var2) {
      int var3 = var1.readUnsignedByte(-700559597);
      if((var3 & 1) != 0) {
         this.aBool8568 = true;
      }

      if(0 != (var3 & 2)) {
         this.aBool8564 = true;
      }

      int var4 = 2;
      if(0 != (var3 & 4)) {
         var4 = var1.readUnsignedByte(-700559597);
      }

      this.aLong2606 = var1.method13729((byte)96) * -641052250121656953L;
      this.aLong8567 = var1.method13729((byte)119) * -868917023590378539L;
      this.aString8569 = var1.readString((byte)-31);
      var1.readUnsignedByte(-700559597);
      this.aByte8571 = var1.readByte(-1204138102);
      this.aByte8566 = var1.readByte(-504327558);
      this.anInt8570 = var1.readUnsignedShort(-937710807) * 511781479;
      if(this.anInt8570 * 818958679 > 0) {
         this.aClass72Array8565 = new Class72[818958679 * this.anInt8570];

         for(int var5 = 0; var5 < this.anInt8570 * 818958679; ++var5) {
            Class72 var6 = new Class72();
            if(this.aBool8568) {
               var1.method13729((byte)125);
            }

            if(this.aBool8564) {
               var6.aString687 = var1.readString((byte)110);
            }

            var6.aByte685 = var1.readByte(241881685);
            var6.anInt686 = var1.readUnsignedShort(-937710807) * 209565365;
            if(var4 >= 3) {
               var1.readUnsignedByte(-700559597);
            }

            this.aClass72Array8565[var5] = var6;
         }
      }

   }

   public int method13640(String var1) {
      for(int var2 = 0; var2 < this.anInt8570 * 818958679; ++var2) {
         if(this.aClass72Array8565[var2].aString687.equalsIgnoreCase(var1)) {
            return var2;
         }
      }

      return -1;
   }

   public int method13641(String var1) {
      for(int var2 = 0; var2 < this.anInt8570 * 818958679; ++var2) {
         if(this.aClass72Array8565[var2].aString687.equalsIgnoreCase(var1)) {
            return var2;
         }
      }

      return -1;
   }

   static final void method13642(Class124 var0, Class121 var1, Class508 var2, int var3) {
      boolean var10001;
      if(var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] == 1) {
         if(var3 <= 969287425) {
            ;
         }

         var10001 = true;
      } else {
         var10001 = false;
      }

      var0.aBool1425 = var10001;
      Class460.method7767(var0, 1613766308);
   }
}
